# Server

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**server_id** | **str** | Unique server ID number. | [optional] 
**host** | **str** | Short name for your server. E.g., “rs999”. | [optional] 
**hostname** | **str** | Fully qualified name for your server. E.g., “rs999.luxsci.com”. | [optional] 
**cpu_cores** | **int** | Number of CPU Cores. | [optional] 
**ram_gb** | **int** | Number of GB of Physical Ram. | [optional] 
**premium_sla** | **str** | Boolean. If true (1), this server is flagged as obeying the Premium SLA. | [optional] 
**load_balanced** | **str** | Boolean. If true (1), this server is flagged as being part of a hardware load balanced group of servers. | [optional] 
**public_ip** | **str** | The main public IP address for this server.                       | [optional] 
**server_type_code** | **str** | This is a code of the format A-B.extra that uniquely identifies the kind of server that this is. A &#x3D; CPU Cores; B &#x3D; GB Ram; extra is used for AWS servers to indetify their flavor. X is one of: - o - Oracle Cloud Infrastructure - a AWS Public Cloud - p Physical Server - g General / other.&#x27; | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

