# ServerIdSendingRateBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**mail_queue_processing_paused** | **int** | Values 1 or 0.  When 1, processing of additional messages (the ones indicated in the mail_queue_unprocessed parameter is suspended.  This does not impact messages that have been processed and are merely trying to be delivered. | 
**mail_queue_warmup_on** | **int** | Values 1 or 0.  When 1, automatic progression of the email processing rate limit is enabled based on sending volume.  When 0, the mail_queue_warmup_rate_hr not automatically change. | 
**mail_queue_warmup_rate_hr** | **int** | Integer value -1 or 20+.  This is the maximum number of messages that will be processed for delivery per hour for IP Warmup reasons.  This value is divided into parts which determine the actual per-5-minute processing rate.   A value of -1 indicates that the processing rate is not limited. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

